import { Meta, Canvas } from "@storybook/blocks";
import * as ComponentStories from "./user-profile.stories";

<Meta of={ComponentStories} name="Docs" />

# User Profile

The User Profile contains all relevant features to manage ones profile

## Stylesheet

To include the styles for this page in TYPO3, add the following line:

```html
<link
    rel="stylesheet"
    href="/typo3conf/ext/trumpf_ux/Resources/Public/ux.integration-web-styleguide/styles/user-profile.css"
/>
```

### Default Story with all tab contents

<Canvas of={ComponentStories.Default}></Canvas>

### Story to visualize how it would look like if there is no permission for the Notification Settings

<Canvas of={ComponentStories.NotificationSettingsNoPermission}></Canvas>

### Story to visualize how it would look like if there is only a partial permission for the Notification Settings

<Canvas of={ComponentStories.NotificationSettingsPartPermission}></Canvas>
